Summary: Linux Sampler
Name: linuxsampler
Version: 0.5.0
Release: 1%{?dist}
License: GPL
Group: Applications/Multimedia
URL: http://www.linuxsampler.org/
Source0: http://download.linuxsampler.org/packages/linuxsampler-%{version}.tar.bz2
Patch0: linuxsampler-0.3.2-gcc4.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires: pkgconfig libgig-devel alsa-lib-devel sqlite-devel
BuildRequires: jack-audio-connection-kit-devel

%description
LinuxSampler is a work in progress. The goal is to produce a free,
open source pure software audio sampler with professional grade
features, comparable to both hardware and commercial Windows/Mac
software samplers.

%package devel
Summary: Linux Sampler development files
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Libraries and include files for Linux Sampler development

%prep
%setup -q
%{?fc4:%patch0 -p1}
if [ -f Makefile.cvs ]; then make -f Makefile.cvs; fi

%build
%configure
%{__make} %{?__smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} DESTDIR=%{buildroot} install

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_bindir}/linuxsampler
%{_libdir}/linuxsampler/*.so.*
%{_mandir}/man1/*
/var/lib/linuxsampler/instruments.db

%files devel
%defattr(-,root,root)
%doc
%{_libdir}/linuxsampler/*.so
%{_libdir}/linuxsampler/*.a
%exclude %{_libdir}/linuxsampler/*.la
%{_libdir}/pkgconfig/*
%{_includedir}/linuxsampler

%changelog
* Fri Nov 30 2007 Eddy Nigg <eddy_nigg@startcom.org>
- Rebuild for StartCom Linux 5.0.x

* Wed Nov 14 2007 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.5.0-1
- updated to version 0.5.0
- added sqlite-devel build requirement
- add intruments.db to file list, no longer a libdir/linuxsampler/include
  directory

* Wed Jan 17 2007 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.4.0-2
- assembler was being mistakenly turned on despite --disable-asm, 
  default now is off and nothing is needed (if disable-asm is used
  asm is turned on!)

* Wed Dec  6 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.4.0-1
- updated to 0.4.0
- added include and pkgconfig files to file list
- split development files into -devel package

* Wed Apr  5 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.3.3-1
- updated to 0.3.3
- assembler optimizations are broken, disable them

* Sun Jul  3 2005 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- added gcc4 patch, posted by Andreas Persson in the linuxsampler
  mailing list

* Fri Jul  1 2005 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- added sse flags to gig engine build

* Wed Jun 29 2005 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.3.2-1
- updated to 0.3.2

* Thu May 26 2005 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.3.1-1
- updated to official 0.3.1 release (from cvs)

* Thu Jan 20 2005 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 2004.01.20
- initial build.
